#include <iostream.h>
#include <conio.h>
#include <stdlib.h>

/*
dichiaro un vettore di char di lunghezza massima 40
poi ad ogni interazione posso concatenarlo 

*/

int ricerca(char *,char);
int raddoppia(int );

int main(){

char a[20];
char b[20];

strcpy(a,"fdhj");
cout<<"la stringa a contiene ->"<<a<<endl;
int y;
y= strlun(a);
cout<<"la stringa a lunga ->"<<y<<endl;
//copia(a,b);


int x[2];
x[0]=1;
x[1]=2;
int * puntatore=x;
cout<<"x prima -> "<<x[1]<<endl;
* puntatore=5;
cout<<"x dopo -> "<<x[0]<<endl;
puntatore++;
* puntatore=65;
cout<<"x dopo -> "<<x[1]<<endl;
  system("PAUSE");
    

return 0;
}


 // ++++++++++++++++++++++++++++++++++++
 
 //uso fat pointer per aritmetica puntatore
int ricerca(char ?s,char y){
int i,n;
if (!s) return 0;
n = s.size();
for (i = 0; i <n; i++,s++)
    if (strcmp(*s,y)) return 1;
return 0;
}

//char *@zeroterm
void successivo( char *@zeroterm s,int pos){
     s=s+pos;
     s++;
     cout<<"la lettera successiva è:"<<*s;
    
}

//risolvo il dangling pointer
int*? raddoppia(int a){
    int x=malloc(sizeof(int));
    x=a+a;
    return &x;
    }
//++++++++++++++++++++++++++++++++++++++++++++
